var Buffer = require('buffer').Buffer;
var x11 = require('../lib/x11');

var Exposure = x11.eventMask.Exposure;
var PointerMotion = x11.eventMask.PointerMotion;

var kbdImg = require('./node-jpg');

x11.createClient(function(display) {
    var X = display.client;   
    X.require('big-requests', function(BigReq) {
    X.require('render', function(Render) {
    
    BigReq.Enable(function(maxLen) {

    var root = display.screen[0].root;
    var white = display.screen[0].white_pixel;
    var black = display.screen[0].black_pixel;

    var wid = X.AllocID();
    X.CreateWindow(
       wid, root, 
       0, 0, kbdImg.width, kbdImg.height, 
       1, 1, 0,
       { 
           backgroundPixel: white, eventMask: Exposure|PointerMotion  
       }
    );
    X.MapWindow(wid);
  
    var gc = X.AllocID();
    X.CreateGC(gc, wid, { foreground: black, background: white } );

    X.on('event', function(ev) {
        if (ev.type == 12) // expose
        {
            X.PutImage(2, wid, gc, kbdImg.width, kbdImg.height, 0, 0, 0, 24, kbdImg.data);
        } 
    });
    X.on('error', function(e) {
        console.log(e);
    });

    });
    });
    });
});
