var x11 = require('../lib/x11');
var PointerMotion = x11.eventMask.PointerMotion;
var KeyPress = x11.eventMask.KeyPress;

var picOp = 0x3b;

var xclient = x11.createClient(function(display) {
    var X = display.client;
    var root = display.screen[0].root;
    display.client.require('render', function(Render) {
        console.log(Render);
        var wid = X.AllocID();
        var white = display.screen[0].white_pixel;
        varblack = display.screen[0].black_pixel;
        X.CreateWindow(wid, root, 10, 10, 400, 300, 1, 1, 0, { backgroundPixel: white, eventMask: PointerMotion|KeyPress });
        X.MapWindow(wid);
        var pict = X.AllocID();
        Render.CreatePicture(pict, wid, Render.rgb24);
        var pictGrad = X.AllocID();
        Render.RadialGradient(pictGrad, [26,26], [26,26], 0, 26,
            [
                [0,   [0,0,0,0xffff] ],
                [1,   [0xffff, 0xffff, 0xffff, 0xffff] ]
            ]);


        var pictGrad1 = X.AllocID();
        Render.LinearGradient(pictGrad1, [0, 0], [500, 0],
            [
                [0,   [0,0,0,0x0ffff] ],
                [0.5,   [0xffff,0,0,0x0ffff] ],
                [1,   [0xffff, 0xffff, 0xffff, 0xffff] ]
            ]);



        function draw(x, y) {
            Render.Composite(3, pictGrad1, 0, pict, 0, 0, 0, 0, 0, 0, 800, 600);
            Render.Composite(picOp, pictGrad, 0, pict, 0, 0, 0, 0, x-26, y-26, 52, 52);
        }        
  
        X.on('event', function(ev) {
           if (ev.type == 2)
           {
               picOp++;
           }
           console.log(picOp);
           draw(ev.x, ev.y);
        });
        X.on('error', function(err) {
           console.log(err);
        });
    });
});
